// 项目顶层路由注册模块
// 秒寻科技
// zt 2024-01-04

package router

import (
	"ipsomc/core/company/companyrouter"
	"ipsomc/core/dbtable/dbtablerouter"
	"ipsomc/core/user/userrouter"
	"ipsomc/core/wxminilogin/wxminiloginrouter"
	"ipsomc/module/bparam/bparamrouter"
	"ipsomc/module/project/projectrouter"
	"ipsomc/module/uploadfile/uploadfilerouter"

	"github.com/gin-gonic/gin"
)

// 配置路由
func SetRouter(runMode string) *gin.Engine {
	gin.SetMode(runMode) //设置运行模式
	r := gin.Default()

	/******************************以下是PC端业务模块路由注册*****************************/
	groupRouter := r.Group("/pcapi")
	//核心模块路由
	dbtablerouter.SetRouter(groupRouter) //创建数据库表
	companyrouter.SetRouter(groupRouter) //公司管理路由
	userrouter.SetRouter(groupRouter)    //用户管理路由

	//业务模块路由
	projectrouter.SetRouter(groupRouter)    //项目模块路由
	bparamrouter.SetRouter(groupRouter)     //基站参数路由
	uploadfilerouter.SetRouter(groupRouter) //文件上传模块路由

	/******************************以下是移动端业务模块路由注册***************************/
	mobileGroupRouter := r.Group("/msapi") //设置移动端路由分组
	wxminiloginrouter.SetRouter(mobileGroupRouter)
	bparamrouter.SetRouterMobile(mobileGroupRouter)

	return r
}
